Orders

Convert Position

POST
/api/oms/convert-position

to convert a position from one product type to another

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Request Body

application/x-www-form-urlencoded

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/oms/convert-position" \  -H "Authorization: Bearer <api Key>:<access token>" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'symId=EQT_SBIN_EQ_NSE&qty=1&fromProduct=delivery&toProduct=delivery&side=buy'
{
  "s": "ok",
  "d": {
    "msg": "Position Converted Successfully"
  }
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}